import java.util.ArrayList;
import java.util.Scanner;

class Course
{
	private String name;
	private int code;
	private int units;
	private ArrayList<StudentRecord> students = 
		new ArrayList<StudentRecord>();
	private Professor prof;
	
	public Course(String name, int code, int units){
		this.name = name;
		this.code = code;
		this.units = units;
	}
	
	public void assign(Professor p){
		p.setCourse(this);
		prof = p;
	}
	
	public void enroll(Student s){
		students.add(new StudentRecord(s));
		s.addCourse(this);
	}
	
	public void gradeStudents(){
		Scanner input = new Scanner(System.in);
		for (StudentRecord s: students){
			System.out.println("Give grade for student " + s.getStudent());
			int grade = input.nextInt();
			s.setGrade(grade);
			if (s.passed()){
				s.getStudent().addUnits(units);
			}
		}
	}
	
	public void printInfo(){
		System.out.println(name+":"+code);
		System.out.println(prof);
		for (StudentRecord s: students){
			System.out.println(s);
		}
	}
}